use warnings;
use strict;
use PPI::Document;
use PPI::Dumper;

my $source = <<'EOS';
ModuleA::func;
ModuleB->method;
EOS

my $doc = PPI::Document->new(\$source);
# PDOM を木構造でダンプする
my $dumper = PPI::Dumper->new($doc);
$dumper->print;